Package com.pixelmed.test

# Class TestCStore

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestCStore

All Implemented Interfaces:
  `junit.framework.Test`

public class TestCStore extends junit.framework.TestCase

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`TestCStore.OurReceivedObjectHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`associationReleased`
`protected String`
`lastReceivedDicomFileName`
`protected static final String`
`scpAET`
`protected static final String`
`scuAET`
`protected static final int`
`waitIntervalWhenSleeping`

## Constructor Summary

Constructors
Constructor
Description
`TestCStore(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()`
`void`
`TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()`
`void`
`TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG()`
`void`
`TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE()`
`void`
`TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG()`
`void`
`TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### waitIntervalWhenSleeping

protected static final int waitIntervalWhenSleeping

See Also:
  - Constant Field Values

### scpAET

protected static final String scpAET

See Also:
  - Constant Field Values

### scuAET

protected static final String scuAET

See Also:
  - Constant Field Values

### lastReceivedDicomFileName

protected volatile String lastReceivedDicomFileName

### associationReleased

protected volatile boolean associationReleased

## Constructor Details

### TestCStore

public TestCStore(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully

public void TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully() throws Exception

Throws:
  `Exception`

### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully

public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully() throws Exception

Throws:
  `Exception`

### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE

public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE() throws Exception

Throws:
  `Exception`

### TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE

public void TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE() throws Exception

Throws:
  `Exception`

### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG

public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG() throws Exception

Throws:
  `Exception`

### TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG

public void TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG() throws Exception

Throws:
  `Exception`